شعار SHANNON A.I.
SHANNON A.I.
دردشة الأسعار واجهة برمجة التطبيقات أبحاث الشركة Pentest AI Startup Boost
تسجيل الدخول
الخطة والاستخدام
دردشة الأسعار واجهة برمجة التطبيقات أبحاث الشركة Pentest AI Startup Boost تسجيل الدخول الخطة والاستخدام

اختر لغتك

جميع اللغات متساوية. اختر اللغة التي تريد التصفح بها.

توثيق واجهة API

واجهة Shannon API

واجهة ذكاء اصطناعي متوافقة مع OpenAI وAnthropic مع استدعاء الدوال، البحث في الويب، ومخرجات منظمة.

الحصول على مفتاح API جرّب Playground V2
التوثيق
  • OV نظرة عامة
  • CP الإمكانات
  • QS بدء سريع
  • PG ساحة لعب API جديد
  • AU المصادقة
  • ML النماذج
  • FN استدعاء الدوال
  • JS مخرجات منظمة
  • SS البث
  • WS بحث ويب مدمج
  • AN تنسيق Anthropic
  • SD حزم SDK
  • ER معالجة الأخطاء
  • CL سجل التغييرات
  • AK مفتاح API الخاص بك
  • US استخدامك

Shannon AI API Documentation

نظرة عامة

توثيق عام

كل ما تحتاجه للإطلاق باستخدام واجهة Shannon المتوافقة مع OpenAI وAnthropic.

عنوان URL الأساسي متوافق مع OpenAI
https://api.shannon-ai.com/v1/chat/completions

استخدم Chat Completions API مع function calling و streaming.

عنوان URL الأساسي متوافق مع Anthropic
https://api.shannon-ai.com/v1/messages

صيغة Claude Messages مع tools وترويسة anthropic-version.

الترويسات المصادقة
التفويض: Bearer <مفتاحك>

أو استخدم X-API-Key مع anthropic-version لطلبات بأسلوب Claude.

Access Status
Public docs - Key required to call

Streaming و function calling ومخرجات منظمة وبحث ويب.

قائمة الإطلاق
  • +
    وجّه SDK إلى Shannon
    اضبط baseURL على endpoint الخاص بـ OpenAI أو Anthropic أعلاه.
    Setup
  • +
    أضف مفتاح API الخاص بك
    استخدم Bearer لـ OpenAI أو X-API-Key + anthropic-version.
    Security
  • +
    فعّل tools والمخرجات المنظمة
    يدعم OpenAI tools/functions و JSON schema و web_search المدمج.
    الإمكانات
  • +
    تتبّع الاستخدام
    اعرض استهلاك التوكنات والبحث في هذه الصفحة بعد تسجيل الدخول.
    Analytics

الإمكانات

OpenAI + Anthropic

بديل مباشر لواجهات OpenAI و Anthropic مع دعم أصلي لـ tools والمخرجات المنظمة والبحث المدمج في الويب.

AI

بديل مباشر

متوافق

يعمل مع SDK الخاصة بـ OpenAI وAnthropic. ما عليك سوى تغيير عنوان URL الأساسي.

AI

استدعاء الدوال

أدوات

عرّف الأدوات ودع Shannon تستدعيها. يدعم أوضاع auto وforced وnone.

AI

بحث ويب مدمج

بحث

بحث ويب فوري مع الاستشهاد بالمصادر. متاح تلقائيًا.

AI

مخرجات مُهيكلة

JSON

وضع JSON وفرض JSON Schema لاستخراج بيانات موثوق.

AI

أدوات متعددة الأدوار

وكيل

حلقات تنفيذ وظائف تلقائية. حتى 10 تكرارات لكل طلب.

AI

بث مباشر

سريع

أحداث Server‑Sent لبث التوكنات في الوقت الحقيقي.

بدء سريع

5 دقائق

ابدأ في ثلاث خطوات. Shannon يعكس عملاء OpenAI وAnthropic.

1

عيّن عنوان URL الأساسي

استخدم نقطة نهاية متوافقة مع OpenAI.

https://api.shannon-ai.com/v1/chat/completions
2

أضف مفتاح API

استخدم مصادقة Bearer في ترويسة Authorization.

3

أرسل رسالتك الأولى

اختر لغة واستبدلها بمفتاحك.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

تنسيق الاستجابة

استجابة ناجحة
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

ساحة لعب API

جديد

اختبر واجهة Shannon API مباشرةً في متصفحك. أنشئ الطلب وشغّله وشاهد الاستجابة في الوقت الحقيقي.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/ar/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

جرّب Playground V2 الحصول على مفتاح API

المصادقة

كل طلبات API تتطلب مصادقة باستخدام مفتاح API الخاص بـ Shannon.

OpenAI Format (Recommended)

HTTP
Authorization: Bearer YOUR_API_KEY

تنسيق Anthropic

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

النماذج

تقدم Shannon عدة نماذج محسّنة لسيناريوهات استخدام مختلفة.

AI
shannon-1.6-lite Shannon 1.6 Lite

Fast, efficient responses for everyday tasks

سياق 128K
الأفضل لـ Chat, Q&A, Content Generation
AI
shannon-1.6-pro Shannon 1.6 Pro

Advanced reasoning for complex problems

سياق 128K
الأفضل لـ Analysis, Research, Complex Tasks
AI
shannon-2-lite Shannon 2 Lite

سياق 128K
الأفضل لـ
AI
shannon-2-pro Shannon 2 Pro

سياق 128K
الأفضل لـ
AI
shannon-coder-1 Shannon Coder

Optimized for Claude Code CLI with call-based quota

سياق 128K
الأفضل لـ Code Generation, Tool Use, CLI Integration
Call-based quota

استدعاء الدوال

Define tools that Shannon can call to perform actions or retrieve information.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

خيارات اختيار الأداة

"auto" Model decides whether to call a function (default)
"none" Disable function calling for this request
{"type": "function", "function": {"name": "..."}} Force a specific function call

استجابة استدعاء الدالة

When model calls a function
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

مخرجات منظمة

Force Shannon to respond with valid JSON that matches your schema.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

خيارات تنسيق الاستجابة

{"type": "json_object"} Force valid JSON output (no specific schema)
{"type": "json_schema", "json_schema": {...}} Force output matching your exact schema

البث

Enable real-time token streaming with Server-Sent Events for responsive UIs.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
نصيحة: Streaming responses arrive as Server-Sent Events. Each chunk contains a delta with partial content.

بحث ويب مدمج

Shannon includes a built-in web_search function that's automatically available.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
نصيحة احترافية: نتائج بحث الويب تتضمن استشهادات. Shannon يضيف المصادر تلقائياً.

تنسيق Anthropic

يدعم Shannon أيضاً صيغة Anthropic Messages API.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
ترويسة مطلوبة: Anthropic format requires anthropic-version: 2023-06-01.

حزم SDK

متوافق

Use any OpenAI or Anthropic SDK - just change the base URL.

OpenAI-Compatible SDKs

SDK Python

Official OpenAI Python SDK - works with Shannon

pip install openai
View Docs ->
SDK JavaScript / TypeScript

Official OpenAI Node.js SDK - works with Shannon

npm install openai
View Docs ->
SDK Go

Community Go client for OpenAI-compatible APIs

go get github.com/sashabaranov/go-openai
View Docs ->
SDK Ruby

Community Ruby client for OpenAI-compatible APIs

gem install ruby-openai
View Docs ->
SDK PHP

Community PHP client for OpenAI-compatible APIs

composer require openai-php/client
View Docs ->
SDK Rust

Async Rust client for OpenAI-compatible APIs

cargo add async-openai
View Docs ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Official Anthropic Python SDK - works with Shannon

pip install anthropic
View Docs ->
SDK TypeScript (Anthropic)

Official Anthropic TypeScript SDK - works with Shannon

npm install @anthropic-ai/sdk
View Docs ->

معالجة الأخطاء

تستخدم Shannon رموز حالة HTTP القياسية وتُرجع رسائل خطأ مفصلة.

400 طلب غير صالح تنسيق أو معاملات طلب غير صالحة
401 غير مصرح مفتاح API غير صالح أو مفقود
402 تجاوز الحصة تم تجاوز حصة التوكنات أو البحث
429 تحديد المعدل طلبات كثيرة، يرجى الإبطاء
500 خطأ في الخادم خطأ داخلي، أعد المحاولة لاحقًا

تنسيق استجابة الخطأ

استجابة خطأ
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

سجل التغييرات

LOG

Recent updates and improvements to the Shannon API.

v2.1.0
2025-01-03
  • جديد Added shannon-coder-1 model for Claude Code CLI integration
  • جديد Call-based quota system for Coder model
  • Improved Improved function calling reliability
v2.0.0
2024-12-15
  • جديد Added Anthropic Messages API compatibility
  • جديد Multi-turn tool execution (up to 10 iterations)
  • جديد JSON Schema response format support
  • Improved Enhanced web search with better citations
v1.5.0
2024-11-20
  • جديد Added shannon-deep-dapo model for complex reasoning
  • جديد Built-in web_search function
  • Improved Reduced latency for streaming responses
v1.0.0
2024-10-01
  • جديد Initial API release
  • جديد OpenAI-compatible chat completions endpoint
  • جديد Function calling support
  • جديد Streaming via Server-Sent Events

مفتاح API الخاص بك

Access
استخدم Bearer لـ OpenAI أو X-API-Key + anthropic-version.
YOUR_API_KEY
الحصول على مفتاح API

احتفِظ بمفتاح API سريًا. إعادة الإنشاء تُنشئ مفتاحًا جديدًا وتبطل القديم.

الإصدار: 1
آخر تدوير: أبدًا
آخر استخدام: أبدًا

استخدامك

اعرض استهلاك التوكنات والبحث في هذه الصفحة بعد تسجيل الدخول.

-- استدعاءات API
-- التوكنات المستخدمة

مبرمج Shannon (shannon-coder-1)

حصة مبنية على الاستدعاءات لـ Shannon Coder (shannon-coder-1). تُعاد كل 4 ساعة.

0 الاستدعاءات المستخدمة
0 الاستدعاءات المتبقية

جاهز للبناء؟

Get your API key and start building with Shannon AI today.

الحصول على مفتاح API عرض الأسعار

عمليات بحث شائعة:

جرّب كلمات مفتاحية أخرى
تنقّل: ↑ ↓ اختر: Enter إغلاق: Esc